import * as $dara from '@darabonba/typescript';
import { CreateRouterInterfaceResponseBody } from "./CreateRouterInterfaceResponseBody";
export declare class CreateRouterInterfaceResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateRouterInterfaceResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
